#pragma once
#include <entt/entity/fwd.hpp>
#include <glm/glm.hpp>
#include <yaml-cpp/yaml.h>
#include <filesystem>
#include "../../YoggieEngine/src/YoggieEngine.h"

void WriteFile(std::string& emitter, std::filesystem::path path);

YAML::Emitter& operator<< (YAML::Emitter& emitter, glm::vec3& vector);

std::string Serialize(YoggieEngine::Scene& scene);

void SaveScene(std::filesystem::path path, YoggieEngine::Scene& scene);

void LoadScene(std::filesystem::path path, YoggieEngine::Scene& scene);