#include "RuntimeControls.h"

void RuntimeControls::Draw() {
    ImGui::SameLine((ImGui::GetWindowContentRegionMax().x / 2) - (numButtons * buttonSize.x));
    for (int i = 0; i < numButtons; i++) {
        ImVec4 color = button[i].Color;
        ImGui::PushStyleColor(ImGuiCol_Button, color);
        const float strengthIncrease = 1.5f;
        ImGui::PushStyleColor(
            ImGuiCol_ButtonHovered,
            ImVec4{
                color.x * strengthIncrease,
                color.y * strengthIncrease,
                color.z * strengthIncrease,
                color.w
            }
        );
        if (ImGui::Button(button[i].Name, buttonSize)) {

        }
        ImGui::PopStyleColor();
        ImGui::PopStyleColor();
        ImGui::SameLine();

    }

}