#pragma once
#include "YoggieEngine.h"


namespace YoggieEngine {

	class Application {
	public:
		Application(const std::string& name);
		~Application();
		virtual void Run();

		void PollEvents();
		
		void SwapBuffers();

		void GuiBegin();
		void GuiEnd();


	protected:
		std::string m_AppName;
		NativeWindow* appWindow;
		friend class ApplicationRuntime;
	};

};
